QGIS Application - Feature request #10569
no "append data to table" option
2014-06-12 11:09 AM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Pull Request or Patch supplied: Resolution: duplicate
Easy fix?: No Copied to github as #: 18976
Description

Steps:

1. Open DB Manager and connect to a database
2. Select the "import layer/file" tool

In the dialog opened, you'll notice that the "append data to table" option is greyed out. This doesn't change even if the output selected is
an existing table in your database. There is no way to append data directly to your table with this tool.

Seems that has never worked since it is added in QGIS 2.0.

Associated revisions

Revision 748e7cf4 - 2014-10-26 03:48 PM - Jiirgen Fischer

Remove unsupported append import/export option from db_manager (refs #10569)

History

#1 - 2014-06-12 11:19 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Affected QGIS version changed from 2.0.1 to master

it is "just" not implemented. There should be a similar ticket, please look for it and eventually close this as duplicate.

#2 - 2014-06-12 01:52 PM - Harrissou Santanna

Giovanni, Thank you for the information.

About the ticket, | read many related to DB Manager but i found no one about this issue. So | leave it opened at the moment.

#3 - 2014-06-28 07:45 AM - Jiirgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#4 - 2014-10-12 09:41 AM - Giovanni Manghi
- Status changed from Feedback to Open

- Subject changed from DB Manager : impossible to append data to existing table with "import layer/file" tool to DB Manager: "append data to table"

option is not working

if no one is going to add this functionality then better remove the radio button.
#5 - 2014-10-26 07:54 AM - Jiirgen Fischer
- Tracker changed from Bug report to Feature request

- Subject changed from DB Manager: "append data to table" option is not working to DB Manager: no "append data to table" option

the unimplemented option was removed.

#6 - 2015-10-06 12:58 AM - Jiirgen Fischer

- Subject changed from DB Manager: no "append data to table" option to no "append data to table" option

#7 - 2016-11-21 10:51 PM - Paolo Cavallini
- Status changed from Open to Closed
- Resolution set to duplicate

Duplicate of #4957
